Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
17.04.2021, 16:27:45

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 25504
  • Letzte: Shiro
Statistiken
  • Beiträge insgesamt: 729347
  • Themen insgesamt: 58841
  • Heute online: 599
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online

Autor Thema: [gelöst]  Anwendungsverwaltung  (Gelesen 736 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

[gelöst] Anwendungsverwaltung
« am: 06.04.2021, 20:01:46 »
Linux Mint 20 Xfce.

Hallo, meine Anwendungsverwaltung  startet nicht mehr. Bei Eingabe von mintinstall im Terminal spuckt er mir das aus:

MintInstall: Detected system architecture: 'x86_64'

** (mintinstall.py:10195): WARNING **: 20:00:19.969: Failed to load shared library 'libflatpak.so.0' referenced by the typelib: /usr/lib/x86_64-linux-gnu/libostree-1.so.1: version `LIBOSTREE_2020.8' not found (required by /usr/lib/x86_64-linux-gnu/libflatpak.so.0)
Traceback (most recent call last):
  File "/usr/lib/linuxmint/mintinstall/mintinstall.py", line 577, in do_activate
    if self.installer.init_sync():
  File "/usr/lib/python3/dist-packages/mintcommon/installer/installer.py", line 154, in init_sync
    if self._fp_remotes_have_changed():
  File "/usr/lib/python3/dist-packages/mintcommon/installer/installer.py", line 229, in _fp_remotes_have_changed
    fp_remotes = self.list_flatpak_remotes()
  File "/usr/lib/python3/dist-packages/mintcommon/installer/installer.py", line 346, in list_flatpak_remotes
    return _flatpak.list_remotes()
  File "/usr/lib/python3/dist-packages/mintcommon/installer/_flatpak.py", line 809, in list_remotes
    fp_sys = get_fp_sys()
  File "/usr/lib/python3/dist-packages/mintcommon/installer/_flatpak.py", line 68, in get_fp_sys
    _fp_sys = Flatpak.Installation.new_system(None)
gi.repository.GLib.Error: g-invoke-error-quark: Could not locate flatpak_installation_new_system: (null) (1)

Hoffe auf Hilfe.
Andreas

« Letzte Änderung: 09.04.2021, 13:15:07 von AnGex »

Re: Anwendungsverwaltung
« Antwort #1 am: 06.04.2021, 22:55:39 »
Was hast du denn angestellt? Ich gehe davon aus, dass das entsprechende Paket vorhanden war.
Zeig mal was
dpkg -l libflatpak0sagt.

Re: Anwendungsverwaltung
« Antwort #2 am: 06.04.2021, 23:36:50 »
Im Codeblock sehen die Terminaltexte einfach besser aus und man kann besser damit arbeiten: ** (mintinstall.py:10195): WARNING **: 20:00:19.969: Failed to load shared library 'libflatpak.so.0' referenced by the typelib: /usr/lib/x86_64-linux-gnu/libostree-1.so.1: version `LIBOSTREE_2020.8' not found (required by /usr/lib/x86_64-linux-gnu/libflatpak.so.0)
Traceback (most recent call last):
  File "/usr/lib/linuxmint/mintinstall/mintinstall.py", line 577, in do_activate
    if self.installer.init_sync():
  File "/usr/lib/python3/dist-packages/mintcommon/installer/installer.py", line 154, in init_sync
    if self._fp_remotes_have_changed():
  File "/usr/lib/python3/dist-packages/mintcommon/installer/installer.py", line 229, in _fp_remotes_have_changed
    fp_remotes = self.list_flatpak_remotes()
  File "/usr/lib/python3/dist-packages/mintcommon/installer/installer.py", line 346, in list_flatpak_remotes
    return _flatpak.list_remotes()
  File "/usr/lib/python3/dist-packages/mintcommon/installer/_flatpak.py", line 809, in list_remotes
    fp_sys = get_fp_sys()
  File "/usr/lib/python3/dist-packages/mintcommon/installer/_flatpak.py", line 68, in get_fp_sys
    _fp_sys = Flatpak.Installation.new_system(None)
gi.repository.GLib.Error: g-invoke-error-quark: Could not locate flatpak_installation_new_system: (null) (1)

Re: Anwendungsverwaltung
« Antwort #3 am: 06.04.2021, 23:49:50 »
auch noch interessant apt-cache policy flatpak

Re: Anwendungsverwaltung
« Antwort #4 am: 07.04.2021, 12:02:08 »
Vielen Dank erstmal für die Antworten.  :)

Mir passieren irgendwie immer so komische Sachen...


Gewünscht=Unbekannt/Installieren/R=Entfernen/P=Vollständig Löschen/Halten
| Status=Nicht/Installiert/Config/U=Entpackt/halb konFiguriert/
         Halb installiert/Trigger erWartet/Trigger anhängig
|/ Fehler?=(kein)/R=Neuinstallation notwendig (Status, Fehler: GROSS=schlecht)
||/ Name              Version               Architektur  Beschreibung
+++-=================-=====================-============-===========================================================
ii  libflatpak0:amd64 1.10.2-flatpak1~focal amd64        Application deployment framework for desktop apps (library)
« Letzte Änderung: 07.04.2021, 12:12:21 von AnGex »

Re: Anwendungsverwaltung
« Antwort #5 am: 07.04.2021, 12:08:57 »
flatpak:
  Installiert:           1.10.2-flatpak1~focal
  Installationskandidat: 1.10.2-flatpak1~focal
  Versionstabelle:
 *** 1.10.2-flatpak1~focal 500
        500 http://ppa.launchpad.net/alexlarsson/flatpak/ubuntu focal/main amd64 Packages
        100 /var/lib/dpkg/status
     1.6.5-0ubuntu0.2 500
        500 http://archive.ubuntu.com/ubuntu focal-updates/universe amd64 Packages
        500 http://security.ubuntu.com/ubuntu focal-security/universe amd64 Packages
     1.6.3-1 500
        500 http://archive.ubuntu.com/ubuntu focal/universe amd64 Packages

Re: Anwendungsverwaltung
« Antwort #6 am: 07.04.2021, 12:19:48 »
Hallo,
bitte die Terminal Meldungen immer komplett incl. Eingabe Befehl und Rückmeldung hier zeigen, sonst wirds unübersichtlichlich.

Re: Anwendungsverwaltung
« Antwort #7 am: 07.04.2021, 12:24:35 »
Im Prinzip eine gute Idee, ein neueres flatpak via PPA zu installieren.
Aber anscheinend mag mintinstall diese flatpak-Version nicht (?)

Re: Anwendungsverwaltung
« Antwort #8 am: 07.04.2021, 12:48:17 »
Du meinst ich habe was neueres installiert und das funktioniert nicht?

@kuehe1: Versuche es so auf die Reihe zu bekommen, danke.  :)

Re: Anwendungsverwaltung
« Antwort #9 am: 07.04.2021, 13:51:26 »
Bin selber "Systemverwalter" .  :) Aber eben auch totaler Neuling. LIBOSTREE sagt mir überhaupt nix und wo ich das apt-Logfile finde weiß ich leider auch nicht.

Re: Anwendungsverwaltung
« Antwort #10 am: 07.04.2021, 17:32:47 »
inxi -r zeigt:

Repos:
  No active apt repos in: /etc/apt/sources.list
  Active apt repos in: /etc/apt/sources.list.d/alexlarsson-flatpak-focal.list
  1: deb http://ppa.launchpad.net/alexlarsson/flatpak/ubuntu focal main
  Active apt repos in: /etc/apt/sources.list.d/atareao-atareao-focal.list
  1: deb http://ppa.launchpad.net/atareao/atareao/ubuntu focal main
  Active apt repos in: /etc/apt/sources.list.d/cdemu-ppa-focal.list
  1: deb http://ppa.launchpad.net/cdemu/ppa/ubuntu focal main
  Active apt repos in: /etc/apt/sources.list.d/cumulus-team-cumulus-focal.list
  1: deb http://ppa.launchpad.net/cumulus-team/cumulus/ubuntu focal main
  Active apt repos in: /etc/apt/sources.list.d/gezakovacs-ppa-focal.list
  1: deb http://ppa.launchpad.net/gezakovacs/ppa/ubuntu focal main
  Active apt repos in: /etc/apt/sources.list.d/google-chrome.list
  1: deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
  Active apt repos in: /etc/apt/sources.list.d/google-earth-pro.list
  1: deb [arch=amd64] http://dl.google.com/linux/earth/deb/ stable main
  Active apt repos in: /etc/apt/sources.list.d/graphics-drivers-ppa-focal.list
  1: deb http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu focal main
  Active apt repos in: /etc/apt/sources.list.d/official-package-repositories.list
  1: deb http://packages.linuxmint.com ulyssa main upstream import backport
  2: deb http://archive.ubuntu.com/ubuntu focal main restricted universe multiverse
  3: deb http://archive.ubuntu.com/ubuntu focal-updates main restricted universe multiverse
  4: deb http://archive.ubuntu.com/ubuntu focal-backports main restricted universe multiverse
  5: deb http://security.ubuntu.com/ubuntu/ focal-security main restricted universe multiverse
  6: deb http://archive.canonical.com/ubuntu/ focal partner
  No active apt repos in: /etc/apt/sources.list.d/oibaf-graphics-drivers-focal.list
  Active apt repos in: /etc/apt/sources.list.d/teejee2008-ppa-focal.list
  1: deb http://ppa.launchpad.net/teejee2008/ppa/ubuntu focal main
  Active apt repos in: /etc/apt/sources.list.d/yannubuntu-boot-repair-focal.list
  1: deb http://ppa.launchpad.net/yannubuntu/boot-repair/ubuntu focal main

Re: Anwendungsverwaltung
« Antwort #11 am: 07.04.2021, 17:34:34 »
apt-cache policy mintinstall libostree-1-1 libflatpak zeigt:

mintinstall:
  Installiert:           8.0.5
  Installationskandidat: 8.0.5
  Versionstabelle:
 *** 8.0.5 500
        500 http://packages.linuxmint.com ulyssa/main amd64 Packages
        500 http://packages.linuxmint.com ulyssa/main i386 Packages
        100 /var/lib/dpkg/status
libostree-1-1:
  Installiert:           2020.8-flatpak1~focal
  Installationskandidat: 2020.8-flatpak1~focal
  Versionstabelle:
 *** 2020.8-flatpak1~focal 500
        500 http://ppa.launchpad.net/alexlarsson/flatpak/ubuntu focal/main amd64 Packages
        100 /var/lib/dpkg/status
     2020.3-1 500
        500 http://archive.ubuntu.com/ubuntu focal/universe amd64 Packages
N: Paket libflatpak kann nicht gefunden werden.

Re: Anwendungsverwaltung
« Antwort #12 am: 07.04.2021, 17:38:01 »
Ansonsten funzt das System 1. Sahne, habe selten ein so stabiles BS erlebt. Außer das ich eben selbst etwas von der Funktionalität zerstört habe...

Re: Anwendungsverwaltung
« Antwort #13 am: 07.04.2021, 19:24:28 »
apt-cache policy libflatpak0

libflatpak0:
  Installiert:           1.10.2-flatpak1~focal
  Installationskandidat: 1.10.2-flatpak1~focal
  Versionstabelle:
 *** 1.10.2-flatpak1~focal 500
        500 http://ppa.launchpad.net/alexlarsson/flatpak/ubuntu focal/main amd64 Packages
        100 /var/lib/dpkg/status
     1.6.5-0ubuntu0.2 500
        500 http://archive.ubuntu.com/ubuntu focal-updates/universe amd64 Packages
        500 http://security.ubuntu.com/ubuntu focal-security/universe amd64 Packages
     1.6.3-1 500
        500 http://archive.ubuntu.com/ubuntu focal/universe amd64 Packages

Re: Anwendungsverwaltung
« Antwort #14 am: 07.04.2021, 23:34:01 »
Wenn ich das eingebe zeigt er mir:

Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Die folgenden Pakete werden ENTFERNT:
  flatpak
0 aktualisiert, 0 neu installiert, 1 zu entfernen und 0 nicht aktualisiert.
Remv flatpak [1.10.2-flatpak1~focal]